/* 
 * "ESCATTRI.C"
 * 
 * Part of The Escotia Playstation Library 
 *
 * Functions to make programming a chore not a pleasure
 *
 * Author:	ScoTT Campbell
 * Date:	11/9/98
 *
*/

#include "..\headers\escattri.h"



unsigned long int CreateAttribute(unsigned long int transparencyType, unsigned long int transparencySwitch,
								  unsigned long int displaySwitch)
{
	return (((unsigned long int) 0) | transparencyType | transparencySwitch | displaySwitch);
}




unsigned long int CreateSpriteAttribute(unsigned long int brightnessSwitch, unsigned long int rotationSwitch,
										unsigned long int transparencyType, unsigned long int transparencySwitch,
										unsigned long int displaySwitch)
{
	return (((unsigned long int) 0) | brightnessSwitch | rotationSwitch 
									| transparencyType | transparencySwitch | displaySwitch);
}